<!--===============================================================================================-->	
	<link rel="icon" type="image/png" href="<?php echo base_url(); ?>assets/icon.ico"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="<?php echo base_url(); ?>assets/login_assets/vendor/bootstrap/css/bootstrap.min.css">
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="<?php echo base_url(); ?>assets/login_assets/fonts/font-awesome-4.7.0/css/font-awesome.min.css">
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="<?php echo base_url(); ?>assets/login_assets/fonts/Linearicons-Free-v1.0.0/icon-font.min.css">
<!--===============================================================================================-->
	<!--<link rel="stylesheet" type="text/css" href="<?php //echo base_url(); ?>assets/login_assets/vendor/animate/animate.css">-->
<!--===============================================================================================-->
	<!--<link rel="stylesheet" type="text/css" href="<?php //echo base_url(); ?>assets/login_assets/vendor/css-hamburgers/hamburgers.min.css">-->
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="<?php //echo base_url(); ?>assets/login_assets/vendor/select2/select2.min.css">
<!--===============================================================================================-->
	<!--<link rel="stylesheet" type="text/css" href="<?php //echo base_url(); ?>assets/login_assets/css/util.css">-->
	<link rel="stylesheet" type="text/css" href="<?php echo base_url(); ?>assets/login_assets/css/main.css">
<!--===============================================================================================-->
<!--===============================================================================================-->	
	<script src="<?php echo base_url(); ?>assets/login_assets/vendor/jquery/jquery-3.2.1.min.js"></script>
<!--===============================================================================================-->
	<script src="<?php echo base_url(); ?>assets/login_assets/vendor/bootstrap/js/popper.js"></script>
	<script src="<?php echo base_url(); ?>assets/login_assets/vendor/bootstrap/js/bootstrap.min.js"></script>
<!--===============================================================================================-->
	<script src="<?php //echo base_url(); ?>assets/login_assets/vendor/select2/select2.min.js"></script>
<!--===============================================================================================-->
	<!--<script src="<?php echo base_url(); ?>assets/login_assets/js/main.js"></script>-->
	
<script type="text/javascript">

    var ck_email = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
    var ck_username = /^[A-Za-z0-9_]{1,20}$/;
   
    function clrErr(){
    // 	  $(".form-group, .checkbox,.col-xs-8" ).removeClass( "has-error" );
    	   $(".err_msg").hide();
    }

    function validateFormFields(fieldName, errMsg, fieldType,fieldValue=null){
		
// 		alert(fieldType)
		if(fieldType == 'radioClass'){
			console.log($('.'+fieldName).is(':checked').length);
			if($('.'+fieldName).is(':checked').length  == 0){
				console.log('checked'+fieldType);
				setMsg(fieldName,errMsg);return true;
			}else{
				return false
			}
		}
		
		else if(fieldType == 'radio' ){
			if($("input[name="+fieldName+"]:checked").length  == 0){
				setMsg(fieldName,errMsg);return true;
			}else{
				return false
			}
		}else if(fieldType == 'checkbox'){
			if($("input[name='"+fieldName+"[]']:checked").length  == 0){
				setMsg(fieldName,errMsg);return true;
			}else{
				return false
			}
		}   else{
		    
			if(($.trim($('#'+fieldName).val()) == '' || $('#'+fieldName).val() == 0)){
				setMsg(fieldName,errMsg);return true;
 			}else if(fieldType == 'validEmail' && !ck_email.test($('#'+fieldName).val())){
				setMsg(fieldName,'Please enter a valid email id.');return true;
			}else if(fieldType == 'validUsername' && !ck_username.test($('#'+fieldName).val())){
				setMsg(fieldName,'Please enter a valid username .');return true;
			}
			else if(fieldType == 'validPass' && !passwordRegex.test($('#'+fieldName).val()) && ($('#'+fieldName).val())){
				setMsg(fieldName,'Minimum 8  characters, upper and lowercase letters and numeric digit!');return true;
			}
		else{
				return false;
			}
		}
	}
	
	function setMsg(fieldId,errMsg){
		$('#div_'+fieldId+', .token-input-list-facebook').removeClass('has-success').addClass('has-error');
		$('#err_'+fieldId).fadeIn();
		$('#err_'+fieldId).html(errMsg);
		$('#'+fieldId).focus();
	}
	
	
	$(function () {
		hideErrorMessages();
// 		$('input[type=checkbox], input[type=radio]').checkator();
	});
	
	function hideErrorMessages(){
 	    $('.alert-hide').delay(6000).fadeOut("slow");       
    }


</script>